Upstream information

CVE-2017-12424 at MITRE

Description

In shadow before 4.5, the newusers tool could be made to manipulate internal data structures in ways unintended by the authors. Malformed input may lead to crashes (with a buffer overflow or other memory corruption) or other unspecified behaviors. This crosses a privilege boundary in, for example, certain web-hosting environments in which a Control Panel allows an unprivileged user account to create subaccounts.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 3.7
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:L/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Local
Access Complexity Low High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 7
Vector AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1052261 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1829
SUSE CaaS Platform ALL
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-CAASP-ALL-2017-1829
SUSE Linux Enterprise Desktop 12 SP2
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1829
SUSE Linux Enterprise Desktop 12 SP3
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1829
SUSE Linux Enterprise Server 12 SP2
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1829
SUSE Linux Enterprise Server 12 SP3
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1829
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • shadow >= 4.2.1-27.3.3
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1829
openSUSE Leap 42.2
  • shadow >= 4.2.1-6.6.1
  • shadow-debuginfo >= 4.2.1-6.6.1
  • shadow-debugsource >= 4.2.1-6.6.1
Patchnames:
openSUSE-2017-1265
openSUSE Leap 42.3
  • shadow >= 4.2.1-10.1
  • shadow-debuginfo >= 4.2.1-10.1
  • shadow-debugsource >= 4.2.1-10.1
Patchnames:
openSUSE-2017-1265


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 shadow Released
CaaS Platform 2.0 shadow Released
OpenStack Cloud Magnum Orchestration 7.0 shadow Released
SUSE Linux Enterprise Desktop 12 SP2 shadow Released
SUSE Linux Enterprise Desktop 12 SP3 shadow Released
SUSE Linux Enterprise Server 12 GA LTSS shadow Affected
SUSE Linux Enterprise Server 12 SP1 LTSS shadow Affected
SUSE Linux Enterprise Server 12 SP2 shadow Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI shadow Released
SUSE Linux Enterprise Server 12 SP3 shadow Released